Changes between KMess Git and 2.0.6.2:
--------------------------------------

- None yet

Changes between KMess 2.0.6.2 and 2.0.6.1:
------------------------------------------

- Follow redirects, fixing connection issue. Thanks to Lekensteyn.
- Moved file transfer settings into own tab.
- updated Japanese translation by Daniel E. Moctezuma.

Changes between KMess 2.0.6.1 and 2.0.6:
----------------------------------------

- fix bug where KMess couldn't login due to missing language preference information.

Changes between KMess 2.0.6 and 2.0.5:
--------------------------------------

- fix bug where KMess couldn't login due to badly formed URL commands.
- fixed crash when taking any action in the Contact Added User dialog.
- fixed a possible crash when using the Contact Added User dialog.
- Added a fading effect when switching between the initial view and the contact list.
- fixed retrieval of display pictures from online MSN storage.
- fixed a problem where roaming service profile data was invalid.
- fixed "Visit Link" context-menu icon in chat. Thanks to IRC's agostino.
- improved Contact Added User dialog with tabs. Thanks ti Timo Tambet.
- updated Japanese translation by Daniel E. Moctezuma.
- updated Spanish translation by Daniel E. Moctezuma.
- updated German translation.


Changes between KMess 2.0.5 and 2.0.4:
--------------------------------------

- added Chat History integration with the Chat Window, with a menu item, toolbar
  action, and a context menu item.
- added KDE notifications for contact and group changes (Patch by Timo Tambet).
- fixed a crash due to changes by Microsoft in how Offline Messages are sent.
- fixed a possible crash during login.
- fixed a crash when closing a chat window.
- fixed logging in with long passwords (17+ characters). MSN cuts them to 16, hehehe.
- removed all HTML from KDE notifications to fix weird text cutting problems.
- updated French translation by Anthony Rey.
- updated Estonian translation by Timo Tambet.
- updated Hungarian translation by József Makay.
- updated Traditional Chinese translation by Yen-chou Chen.

Changes between KMess 2.0.4 and 2.0.3:
--------------------------------------

- added a tip text on the contact list's search bar (Patch by Timo Tambet).
- added support for a new ISF-Qt feature, PNG fortification, allowing to drag
  and drop handwriting drawings into the message editor to be edited.
- added support for notifications on the Mac.
- added a toggle button for Now Listening to the contact list (Patch by Francesco Nwokeka).
- added Galician translation by Indalecio Freiría Santos.
- fixed invalid characters in contact frame tooltips.
- fixed "Contact Added User" dialog pop-ups, appearing for already added contacts.
- fixed the application icon resolution.
- fixed log in failure, due to a mismanaged remote display picture reception.
- fixed URL when retrieving display pictures from MSN.
- fixed saving account properties.
- fixed removal and blocking of contacts.
- fixed saving the automatic login option.
- fixed status changing bugs when disconnecting or waking up from sleep.
- improved compatibility with KDE 4.5.
- improved the Chat History dialog, now using a calendar to list dates with available chat logs.
- improved contact list sorting, now done by status, then alphabetically (Patch by dah_ at the boards).
- improved management of unknown contacts.
- improved widget sizes and behavior on the contact list.
- updated the system tray widget to the new KDE 4.3+ one.
- updated Japanese translation by Daniel E. Moctezuma.
- updated Dutch translation by Heimen Stoffels.
- updated German translation by Panagiotis Papadopoulos.
- updated Catalan translation by Adrià Arrufat.
- updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.
- updated French translation by Grégory Bellier.
- updated Brazilian Portuguese translation by Morris Arozi Moraes.
- updated Traditional Chinese translation by Yen-chou Chen.

Changes between KMess 2.0.3 and 2.0.2:
--------------------------------------
- added ability to drag-and-drop images into display picture frames.
- added setting friendly name and personal message by clicking on their labels in the contact list.
- added Russian translation by Dmitriy Simbiriatin.
- added Portuguese translation by Bruno Almeida.
- added showing unread email count in the system tray tooltip.
- added setting personal message using DBus.
- fixed crash when logging in with the wrong password.
- fixed bug causing the "Contact Added User" dialog to appear after deleting contacts.
- fixed bug causing the chat window size to not be saved under KDE 4.4.
- improved performance when drawing complex ink messages.
- improved proxy support.
- updated French translation by Grégory Bellier.
- updated Catalan translation by Adrià Arrufat.
- updated German translation by Panagiotis Papadopoulos.
- updated Greek translation by Dimitrios Glentadakis.
- updated Brazilian Portuguese translation by Morris Arozi Moraes.
- updated Traditional Chinese translation by Yen-chou Chen.
- updated Dutch translation by Sjors Gielen.
- updated Dutch translation by Heimen Stoffels.
- updated Hungarian translation by Pauli Henrik.
- updated Spanish translation by Mauricio Muñoz Lucero.
- updated Turkish translation by Uğur Çetin.
- updated Estonian translation by Rivo Laks.
- updated Traditional Chinese translation by Yen-chou Chen.
- updated Japanese translation by Daniel E. Moctezuma.
- updated Slovak translation by Rastislav Krupanský.

Changes between KMess 2.0.2 and 2.0.1:
--------------------------------------
- fixed a bug that was introduced just before the release of KMess 2.0.1,
  making it impossible to login twice in the same KMess session.
- updated Japanese translation by Daniel E. Moctezuma.
- updated Brazilian Portuguese translation by Maurício Arozi Moraes.

Changes between KMess 2.0.1 and 2.0:
--------------------------------------
- added a "Log in automatically" checkbox to the initial view (patch by Camille Begue).
- added ability to open the chat history dialog when not connected (patch by Camille Begue).
- added Test Server support.
- added shortcut checking of added/edited emoticons for invalid characters.
- added usage of smooth pixmap scaling for display pictures in the contact list.
- added caching of scaled display pictures when painting the contact list.
  Mitigates performance hit caused by using smooth pixmap scaling.
- added full Handwriting support, thanks to the ISF-Qt external library.
- added Roaming content support: display picture, friendly name and personal
  message are now synchronized with those used in Messenger.
- added chat window buttons to quickly change message font and color.
- added ability to drag-and-drop an image from KSnapshot (or any drag'n'drop-enabled
  image application) to a chat, to send it.
- added preview of emoticons in emoticon settings page.
- fixed improper scaling of the display picture in the chat window and contact list.
- fixed maximum emoticon shortcut length.
- fixed "close all tabs" dialog: Don't show it when the KDE session is closing.
- fixed a crash in NetworkWindow when receiving P2P messages shorter than
  the usual.
- fixed an overzealousness of the IRC-like commands parser.
- fixed redrawing of emoticons in the contact list and friendly name label,
  when emoticon theme is changed.
- fixed display picture cache clearing, when pictures is changed.
- fixed minimum size of the message editor to one line of text.
- fixed appearance of the transfers window: it now appears in the background
  instead of minimized.
- fixed occasional crash when canceling a drag and drop operation on the chat window.
- fixed contact notifications, which were not shown for contacts going online.
- fixed contact notification spam on login.
- fixed a crash when connecting with the fallback HTTP connection (used behind
  firewalls, proxies et cetera).
- fixed KDE 4.3.2 bug causing a crash when closing account settings.
- fixed losing the friendly name on login.
- removed small delay when auto-connecting on startup.
- removed in-place editing of emoticons, now it's only done by AddEmoticonDialog.
- removed giflib dependency, as it is now required by ISF-Qt.
- updated Brazilian Portuguese translation by Maurício Arozi Moraes.
- updated Catalan translation by Adrià Arrufat.
- updated Dutch translation by Sjors Gielen.
- updated Estonian translation by Lauri Võsandi, Mihkel Tõnnov and Rivo Laks.
- updated Finnish translation by Marko Mäkilä.
- updated French translation by Émeric Dupont.
- updated German translation by Panagiotis Papadopoulos.
- updated Greek translation by George Kiagiadakis.
- updated Hungarian translation by Pauli Henrik.
- updated Japanese translation by Daniel E. Moctezuma.
- updated Simplified Chinese translation by Cheng Yang.
- updated Spanish translation by Guillermo Arana.
- updated Turkish translation by Uğur Çetin.

Changes between KMess 2.0 and 2.0-rc1:
--------------------------------------
- added back meaningful error messages for unsupported applications.
- fixed crashing when transferring display pictures.
- fixed a small bug in group sorting.
- improved further the RTL languages support.
- updated Arabic translation by Ma'moun Diraneyya.
- updated German translation by Panagiotis Papadopoulos.
- updated Simplified Chinese translation by Cheng Yang.

Changes between KMess 2.0-rc1 and 2.0-beta2:
--------------------------------------
- added Japanese translation by Daniel E. Moctezuma.
- added display of emoticons in presence messages.
- added status restoring on reconnection.
- added fading effect for long text labels and the contact list.
- changed the image used for unknown display pictures.
- changed the application windows icons.
- changed the system tray icon with one showing both the bird and the current
  status.
- fixed a crash triggered by clients aborting while we're sending data.
- fixed appearance when using right-to-Left languages, like Arabic.
- fixed bug preventing temporary accounts to be correctly cleaned up.
- fixed file selection errors in chat logging.
- fixed newly added contacts appearing as not having added the user in their
  list.
- improved appearance of the contact list when antialiasing is enabled.
- removed all experimental features which could not be finished in time.
- updated Arabic translation by Ma'moun Diraneyya.
- updated Brazilian Portuguese translation by Maurício Arozi Moraes and Sergio
  Rafael Lemke.
- updated Catalan translation by Adrià Arrufat.
- updated Finnish translation by Antony Hussi.
- updated Dutch translation by Sander Pientka and Sjors Gielen.
- updated French translation by Scias.
- updated German translation by Panagiotis Papadopoulos.
- updated Greek translation by Dimitrios Glentadakis.
- updated Hungarian translation by Pauli Henrik.
- updated Italian translation by Valerio Pilo.
- updated Slovak translation by Rastislav Krupanský.
- updated Spanish translation by Mauricio Muñoz Lucero.
- updated Simplified Chinese translation by Cheng Yang.
- updated Traditional Chinese translation by Yen-chou Chen.

Changes between KMess 2.0-beta2 and 2.0-beta1:
--------------------------------------
- completed drag&drop support.
- fixed quick retype.
- fixed winks playing and naming support.
- fixed disconnections after many hours of use.
- fixed losing KDE Wallet passwords.
- fixed typing notifications not appearing in WLM 2009.
- fixed long words breaking was breaking copy-pastes.
- fixed weird characters which were breaking the chat styles.
- fixed resending messages already sent as offline messages.
- fixed searching for offline contacts.
- fixed time of arrival of offline messages.
- fixed new chat windows or tabs opened by contacts sometimes stole focus.
- fixed contact list group sorting.
- fixed many memory leaks.
- fixed overflowing contact list background picture and color.
- improved the Chat History dialog and its integration with KMess.
- improved drag and drop support in contact list.
- improved the color of the less important contact status messages in chat.
- improved client detection support.
- improved handwriting message sending.
- improved the file transfers window's behavior.
- improved chat session management.
- improved the LikeBack buttons bar.
- updated English handbook.
- updated Arabic translation by Ma'moun Diraneyya.
- updated Brazilian Portuguese translation by Sergio Rafael Lemke.
- updated Brazilian Portuguese translation by Maurício Arozi Moraes.
- updated Catalan translation by Adrià Arrufat.
- updated Dutch translation by Heimen Stoffels.
- updated Dutch translation by Sander Pientka.
- updated Finnish translation by Antony Hussi.
- updated French translation by Barthe Guillaume.
- updated French translation by Scias.
- updated German translation by Panagiotis Papadopoulos.
- updated Greek translation by Dimitrios Glentadakis.
- updated Italian translation by Andrea Decorte.
- updated Spanish translation by Manuel Ramírez.
- updated Spanish translation by Mauricio Muñoz Lucero.
- updated Traditional Chinese translation by Yen-chou Chen.
- updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.

Changes between KMess 2.0-beta1 and 2.0-alpha2:
--------------------------------------
- added support to start chats while you're invisible.
- added automatic reconnection after unwanted disconnections.
- added IRC like command handling in the chat window (/away, etc..)
- added 'Send with KMess' menu item to Konqueror context menu's.
- added verbose status message when KMess fallbacks to the HTTP connection.
- added contact emoticon blacklist, to block annoying custom emoticons from contacts.
- added Likeback support to collect user feedback, ported from Basket of KDE 3.
- added support to configure the toolbars and menus in the chat window.
- added contact list export dialog.
- added context menu to the contact list, to open the contact menu with the left mouse too.
- added confirmation dialogs when the menu gets hidden with Ctrl+M.
- added confirmation dialogs when deleting custom emoticons.
- added confirmation dialogs when deleting old display pictures.
- added filtering options to the file transfer window, to show downloads/uploads only.
- added Greek translation by Panagiotis Papadopoulos.
- added Serbian translation by Zoran Milovanović.
- added Slovak translation by Rastislav Krupanský.
- improved protocol support, upgraded the server core protocol to MSNP15.
- improved user interface of the main login dialog, added links.
- improved overall user interface with further fine tuning.
- improved KDE session restoring; KMess will reconnect if you were connected at logout.
- improved chat notifications to be compatible with the new Plasma notifications of KDE 4.2.
- improved emoticon panels; users can choose between message editors or permanent sidebar panels.
- improved painting controls for the Ink handwriting.
- improved chat logging support (support XML, TXT output) in preparation of a chat logging browser.
- improved chat autoscroll feature.
- improved chat window status bar.
- improved several English messages in the user interface.
- improved reporting of error messages, using notifications for warnings.
- improved cmake detection of libqca2-plugin-ossl package for Ubuntu.
- changed contact sidebar, clicking the contact always shows the context menu.
- fixed multiple bugs with automatic reconnecting.
- fixed blocked login view when there is no network connection.
- fixed saving passwords when the 'save password' account option is off.
- fixed saving passwords when KWallet is not supported, or the user refused to use it.
- fixed contact list group expanding/collapsing with incremental search.
- fixed contact list sorting and grouping.
- fixed context menu to chat with a blocked/offline/allowed contact.
- fixed double error box when adding a non-existing contact to the list.
- fixed chat window focus issues.
- fixed chat tabs for contacts with HTML characters in their name.
- fixed chat tabs for contacts with long names.
- fixed chat tabs being displayed when tabbed chatting is disabled.
- fixed chat messages displayed in the wrong tab.
- fixed chat message wordwrapping for long unbreakable words.
- fixed chat spell checker setting, the setting was not remembered correctly.
- fixed typing messages for tabbed chats.
- fixed adding custom emoticons from the chat window sidebar.
- fixed and improved shortcut keys to switch between chat tabs, start a chat, etc...
- fixed layouting issue in the Classic Compact chat style.
- fixed displaying a 'contact left chat' message twice if there was no conversation in between.
- fixed unclickable display picture in the chat if the contact is offline.
- fixed invalid dates being displayed for contact properties.
- fixed updating the chat windows after an emoticon theme is changed.
- fixed updating the chat style preview when "Group follow up messages" is toggled.
- fixed start folder of the file browser for account pictures.
- fixed displaying the filename for files transferred with the old MSNFTP protocol.
- fixed cancel link not being removed when a file transfer invitation hit the timeout
- fixed notification default settings.
- fixed missing nudge event in the notification settings.
- fixed missing detection of "Windows Media Center" in the list of known MSN clients.
- fixed now listening icon, using a common icon now.
- fixed now listening support, added support for all MPris-compatible players.
- fixed inconsistent order of the artist and track title in now Listening information.
- fixed position of the red circle in the system tray screenshot.
- fixed protocol support of group chats.
- fixed protocol support of the MSN-HTTP fallback.
- fixed protocol support of MSNP2P by Windows Live Messenger 2009, should fix picture/emoticon transfers.
- fixed protocol support of MSN Plus! markup, displaying contact names incorrectly at various places.
- fixed protocol support for resetting your Personal Message, was not recognized by Windows Live Messenger 2009.
- fixed displaying of Offline-IM messages, wrong sender was displayed when receiving many messages.
- fixed error handling for SOAP protocol errors.
- fixed "view profile" pages with updated MSN website.
- fixed crashes in the contact list model code.
- fixed a crash when receiving MSN Plus! predefined messages.
- fixed a crash with receiving files with the old MSNFTP protocol.
- fixed an assertion crashing KMess caused by read-only configuration files with a KDE 4 debug build.
- fixed compiling issues with KDE 4.0, 'KDE on Windows' and MinGW32.
- fixed compiler warnings.
- fixed adblock icons showing up by the embedded KHTMLPart component in the chat window.
- fixed network code to use QNetworkAccessManager, this should give us proper Proxy support.
- fixed browser invocation code, using KToolInvocation to have instant invocation.
- fixed issues with network detection if Solid/NetworkManager is not available.
- fixed removed translator name entries in the .po files; some languages appear to have translated names.
- removed custom notification settings in favour of KNotify settings in the global settings panel.
- updated English handbook by Heimen Stoffels.
- updated Brazilian Portuguese translation by Leonel Freire.
- updated Brazilian Portuguese translation by Sergio Rafael Lemke.
- updated Dutch translation by Elve and Sander Pientka.
- updated French translation by Barthe Guillaume.
- updated German translation by Panagiotis Papadopoulos.
- updated Greek translation by Panagiotis Papadopoulos, Dimitrios Glentadakis.
- updated Hungarian translation by Pauli Henrik.
- updated Italian translation.
- updated Norsk Bokmal translation by Øyvind Sæther.
- updated Simplified Chinese translation by Cheng Yang.
- updated Spanish translation by Alexis Daniel Medina Medina, Juan Pablo González Tognarelli.
- updated Swedish translation by Mattias Newzella.
- updated Traditional Chinese translation by Yen-chou Chen, the Tryneeds-Chinese Translation Platform.


Changes between KMess 2.0-alpha2 and 2.0-alpha:
--------------------------------------
- added connecting over HTTP, to deal with corporate firewalls which only allow connections to browse the web.
- added tabbed chatting support!
- added offline messaging functionality.
- added the support to send ink messages.
- added the support to send huge messages.
- added full MSN Plus text-formatting support in chat and in the contact list.
- added application-wide settings dialog, which includes an account manager.
- added option to choose the interval of ports used for fast file transfers.
- added option to change the groups of a contact from the contact's properties dialog.
- added option to choose a previously set display picture for the account.
- added option to choose the dimensions of the pictures in the contact list.
- added option to specify where received files will be downloaded to.
- added option to display all offline contacts in a single group ("mixed" group mode).
- added option to hide currently empty groups.
- added option to block notifications when the status is set to Busy.
- added option to disable displaying of received winks.
- added option to choose a default directory where to put all received files.
- added option to choose the browser and e-mail client used to open Web links.
- added copy menu entry for the music a contact is listening.
- added a dark chat style suitable for use with dark KDE color themes.
- added ability to keep short notes for each contact.
- added a search box in the contact list.
- added an history box in the contact list, which displays recent contact events.
- added a close button on the notification popups (for people who don't know about right-click to close).
- added a DBus remote control interface, to enable interaction with KMess from other applications.
- added KWallet support to store in a secure way the passwords of the saved accounts.
- added detection of network connection availability, using Solid.
- added tracking of the 'last seen' and 'last chat message' dates for a contact.
- improved reporting of error messages.
- improved the user interface of many dialogs.
- improved the Now Playing support with Amarok 2 support. Amarok 1.4 is still supported.
- improved the file transfer messages within the chat.
- improved the auto-message feature, displays the automessage more often.
- fixed displaying old contact names and no personal messages after login.
- fixed loading emoticon themes containing non-PNG picture files.
- fixed compatibility and styling issues with dark KDE color schemes.


Changes between KMess 2.0-alpha and 1.5.1:
--------------------------------------
- ported to KDE 4.
- added support to receive ink messages.
- added ability to re-use previously opened chat windows after reconnecting.
- added a log for contact logins and logouts at the bottom of the contact list
- added copy options for name, email, personal message, and links to right-click menu of contacts.
- added fast-retype of previous sentences using Ctrl+Up.
- added group selection box to the "add contact" dialog.
- improved overall user interface.
- improved client name detection of contacts.
- improved contact properties dialog
- fixed font color chooser in the chat window, settings could be lost.
- fixed contact re-invites (chat resumes) to the chat when the first attempt failed.


Changes between KMess 1.5.2 and 1.5.1:
--------------------------------------
- added a warning message if a file transfer is started when a non-P2P capable client.
- fixed displaying passwords in the debug window, make it easier to share debug logs.
- fixed displaying old contact names after login.
- fixed enabled auto-away settings if the XScreenSaver extension was not found.
- fixed a bug which caused a disconnection when setting an extremely long nickname.
- fixed a bug which discarded saved settings for an account when quitting and when just disconnecting.
- fixed a bug which prevented non-PNG emoticon themes from loading.
- fixed a crash in debug builds for unknown contacts.
- fixed a possible crash in the passive popups.
- fixed a potential crash in background picture transfers (unlikely to occur).
- fixed a potential passport login problem, not seen yet unfortunately.
- fixed compiler warning on newer GCC.
- updated Brazilian Portuguese translation, made by Darlan Campos.
- updated Simplified Chinese translation by Liu Sizhuang.


Changes between KMess 1.5.1 and 1.5:
--------------------------------------
- added checking if a screensaver or fullscreen app is running, and disable notification popups.
- added option to show contact display pictures in the contact list.
- added spell checker to the chat window, its option is in the Settings menu.
- added a contact list popup text showing which MSN client your contacts use.
- added a little screenshot of the tray icon area when closing KMess to tray for the first time, to help finding where it is.
- added ability to manually select the Idle MSN status.
- added a warning message for broken SOCKS implementations which could cause KMess to freeze.
- fixed selecting a picture in the Autopackage version, and KDE 3.2 / KDE 3.3 installations.
- fixed a possible freeze, could only happen in developer builds (--enable-debug-output).
- fixed focus of typing area when reactivating the chat window.
- fixed the chat window title, which could continue blinking after its window had been given focus.
- updated Danish translation by Pascal d'Hermilly
- updated Traditional Chinese translation by Yen-chou Chen.


Changes between KMess 1.5 and 1.5pre2:
--------------------------------------
- added support to send custom emoticons.
- added support for P4-Context field, used for by plugins of the official client for contact aliases (i.e. Xiaoi's Qun). Patch by LiuSizhuang.
- added initial status chooser at login, and in the account settings.
- added drag&drop for files in the chat window to send files.
- added internationalization support to the service status URL.
- added automatic download of new display pictures in the background.
- added option to crop a picture before using it as display picture.
- added zoom buttons to scale the chat window text.
- added context menu to open and copy links in chat window.
- added "remove and block" option in the contact remove dialog.
- added dialog to confirm overwrite when saving a chat to file.
- added dialog to confirm overwrite when renaming custom emoticons.
- added auto clean up of the configuration files for outdated info.
- added keepalive support to see when a contact really closed the chat window, or the chat went idle.
- added a tooltip to the system tray, showing current name and status.
- added warning message when chatlogs can't be saved (e.g. wrong permissions).
- added status message upon server shutdown for maintenance notification.
- added notification balloons for contact typing and contact status changes.
- added a workaround for NAT timeouts when behind a "black hole" router.
- changed default chat style to "Fresh", old style is renamed to "Classic".
- improved notification balloons, completely new implementation using more standard KDE functionality.
- improved notifications with correct balloons when transferring files and receiving winks and nudges.
- improved taskbar notification of new messages, added asterisk in front.
- improved "Remember this profile" checkbox, it's consistent with the selected account.
- improved error messages for adding invalid MSN accounts.
- improved memory usage by reducing dependencies on QWidget.
- improved memory usage when a chat is started to download a display picture in the background.
- improved tests for invalid e-mail addresses when adding a new contacts.
- improved account settings dialog behavior when adding invalid email addresses.
- improved chat window appearance, with a new right-click menu for the listed contacts, and a resizable message box.
- improved file transfer speed over high speed links.
- improved saving of settings; save directly, not only when KMess quits.
- improved login handling to Passport 3.0 webservices.
- improved the user manual, reorganized completely.
- improved developer API documentation, especially the networking classes.
- improved transfer window's reliability.
- prepared preliminary support for tabbed chats.
- fixed multiple problems with broken file/picture transfers, especially over slow links or slow systems.
- fixed replacing of custom emoticon placeholders which contain <, > or & characters, or quotes.
- fixed support for default messages from MSN Plus!.
- fixed keyboard shortcut to insert new lines in the chat messages.
- fixed keyboard shortcut to copy text in the chat window.
- fixed background rendering in the contact list.
- fixed now playing icon, previous one was SUSE-specific.
- fixed Hotmail folders opening in wrong browser.
- fixed login selectbox, display last selected account at logout.
- fixed opening the main window when KMess is started with KDE.
- fixed missing emoticon example pictures next to the emoticons checkbox.
- fixed settings dialog height, was too big for 800x600 displays.
- fixed settings of notification balloons, balloons can be disabled again.
- fixed emoticon theme settings previews, some themes lacked a preview image.
- fixed links to account registration and verification in the settings dialog.
- fixed maximum length of displayed messages in the message balloons.
- fixed notification balloons text with special messages, like nudges or file transfers.
- fixed resuming chats when there was no connection to switchboard (gray display pictures in the chat).
- fixed raising existing chats when trying to open one from the contact list.
- fixed duplicate chat windows when clicking repeatedly on a contact in the list.
- fixed reuse of chat windows to use expected behavour.
- fixed subtle GUI flashing in the chat window for the contact picture.
- fixed changing an accounts email, it did not get reflected in the initial login UI and the menu's.
- fixed personal message being sent when the main window lost focus, not only when we confirm its change.
- fixed non working 'open inbox/send mail' links for non-Hotmail accounts, which now open the mail account specified in the settings.
- fixed broken contact images which don't get updated; added data hash check.
- fixed connection timeout error with downloading offline-im messages.
- fixed connection timeout issues during login for slow connections.
- fixed incorrect "transfer failed" message when sending files to Mercury Messenger.
- fixed internal protocol message to withdraw a started file transfer (not visible with WLM).
- fixed internal protocol encoding with commands which update groups in the contact list.
- fixed internal protocol handling to allow MSNSLP ACK messages.
- fixed invalid image when contacts don't have a display picture or it's not valid anymore.
- fixed unwanted destroying of the direct connection if a switchboard connection restarts.
- fixed handling of direct connection write errors, revering to the switchboard.
- fixed unwanted "session is cancelled" messages after completing a file transfer.
- fixed issues with aborting invitations when a chat window closes.
- fixed blocking KMess user interface with account settings dialog.
- fixed blocking user interface when the network is down or slow during the login.
- fixed 'eventsrc' file not being found by KMess.
- fixed 'eventsrc' warning, path should be 'kmess/eventsrc'.
- fixed compiling in Mac OS X (fink environment with KDE3/X11).
- fixed a series of potential crashes with closing the chat window.
- fixed a crash when closing the application.
- fixed a crash when downloading offline-im messages.
- fixed a crash when the contact was removed with it's chat window open.
- fixed a crash when the contact cancels a file transfer and the user is still choosing a destination folder.
- fixed a crash when the direct connection could not be initialized correctly.
- fixed a crash when a contact changes status but its chatwindow is not yet loaded.
- fixed a freeze when receiving custom emoticons from Kopete.
- fixed a freeze when starting/resuming multiple chats at the same time.
- fixed a freeze when there are too many unacked P2P messages in a chat.
- fixed a freeze when starting a file transfer with direct connections.
- fixed a possible freeze when inserting emoticons into the messages.
- fixed memory leaks in the chat window using Valgrind.
- fixed many compiler warnings.
- fixed word puzzles in translations with notification balloons.
- fixed translations for the Transfer Window messages.
- removed custom proxy support in favor of the global KDE settings.
- reduced the time KMess waits before detecting a connection error.
- updated Arabic translation by Youssef Chahibi.
- updated Danish translation by Pascal d'Hermilly.
- updated Dutch translation by Jaap Woldringh.
- updated Finnish translation by Jussi Timperi.
- updated French translation by Andrea Blankenstijn and Choplair.
- updated German translation.
- updated Hungarian translation by Páder Rezsõ.
- updated Italian translation by Vincento Reale.
- updated Spanish translation by Christian Kaiser.
- updated Swedish translation by Christian Lundgren.
- updated Thai translation by Rachan Hongpairote.
- updated Turkish translation by Uğur Çetin.
- updated Simplified Chinese translation by Liu Sizhuang.
- updated Traditional Chinese translation by Yen-chou Chen.


Changes between KMess 1.5pre2 and 1.5pre1:
--------------------------------------
- added "now playing" support, both sending and receiving.
- added file transfer preview support, both sending and receiving.
- added x-clientcaps message for third party client exchange.
- added option to disable the nudge shaking effect, completing the nudge support.
- added proper error message for webcam invitations, which are currently not supported yet.
- added support for an second incoming file transfer invitation to become client instead of server.
- added translation support for chat styles, fixed untranslated "says:" message in the chat window.
- added emoticon image conversion to the the personal status message.
- added warning message when KMess is installed in a folder where it can't find it's resources.
- added warning dialog when KMess can't find it's eventsrc file to handle notifications.
- improved visual *bold*, /italic/ and _underline_ effects, they don't hide the ASCII codes anymore.
- improved account menu's, display account handle instead of long friendly name.
- improved compatibility with Windows Live Messenger's protocol for client-to-client invitations.
- restored context menu in the chat window.
- fixed file transfers, a timer was not stopped to detect a direct connection timeout.
- fixed crash when a timeout occurs during a direct file transfer.
- fixed login problems with "restricted passport accounts".
- fixed image width/height of received custom emoticons.
- fixed link parsing, adding http:// before www. URL's, and fixed geek-style links (links without www. or http://).
- fixed unwanted resizing of the chat window when the statusbar text didn't fit.
- fixed unwanted resizing of the chat window sidebar.
- fixed contact window alignment, right-to-left names aligned randomly.
- fixed contact window updating when a group was succesfuly renamed.
- fixed lost personal status message when moving contacts.
- fixed own personal status message, it could literally become "<Enter your personal message here>".
- fixed missing right-to-left flag in sent chat messages.
- fixed message "<handle> has left the chat", displays contact name now.
- fixed missing contact name when adding new contacts.
- fixed missing "overwrite file" question when saving sent files.
- fixed tab order of the 'chatting' options panel.
- fixed revoking of sent invitations when a timeout occurred.
- fixed typing notification, these were not sent instantly when the user continues to type after sending a message.
- fixed emoticons support for KDE 3.3 and below.
- fixed emoticons installation with the installer.
- fixed compiling with automake 2.10.
- fixed compiling of the RPM with patch level KDE versions (e.g. 3.1-10).
- fixed character encoding problem in the desktop file.
- fixed filename of Estonian translation.
- updated website address, moved to www.kmess.org.
- updated Dutch translation by Jaap Woldringh.
- updated Danish translation by Pascal d'Hermilly.
- updated German translation.
- updated Finnish translation by Joonas Niilola.
- updated Hungarian translation by Páder Rezsõ.
- updated Italian translation by Valerio Pilo.
- updated Spanish translation by Jaume Corbí.
- updated Turkish translation by Uğur Çetin.
- updated Traditional Chinese translation, by Yen-chou Chen.
- added Hungarian translation by Páder Rezsõ.
- Removed ASL and unhappy icon because these are no longer used in Windows Live Messenger.



Changes between KMess 1.5pre1 and 1.4.3:
----------------------------------------
- added direct connection support, faster file transfers.
- added chat message styles. Styles can use all CSS2 features supported by KHTML.
- added emoticon themes to the chat window. They can be switched on-the-fly.
- added offline-im support (receiving only).
- added custom emoticon support (receiving only).
- added winks support (receiving only).
- added nudge support.
- added personal status message support.
- added grouping of chat messages from the same contact.
- added alt tags to all emoticons, for easy copy-pasting.
- added a link to "register.passport.net" for creating a new account.
- added support for file transfers between hosts of the same LAN.
- added support for parallel transfers over the same direct connection.
- added support for relaying invitations to another swichboard connection.
- added option to upgrade a temporary/guest account permanently (when "Remember this profile" was left unchecked).
- added detection of unverified passport e-mail adresses.
- added translation for Finnish.
- added Doxygen configuration to generate API docs.
- upgraded client-server protocol to MSNP12 (MSN Messenger 7.5).
- upgraded client-to-client protocol to MSNC5 (MSN Messenger 7.5).
- improved login dialog, replacing the confusing profile box.
- improved main window interface, added contact picture to main window.
- improved chat window interface, added sidebar for contacts and emoticons.
- improved settings dialog, added widgets of the "display pic" tab to the "accounts" tab.
- improved detection of login errors for problems with the MSN servers.
- improved chat message link detection with support for e-mail addresses and sftp:// links
  and "geek-style" urls (urls without a http:// or www prefix, like "slashdot.org").
- improved performance for accounts with large contact lists.
- improved "connection timeout" message, with suggestions to "check the Internet connection and MSN service status".
- improved support for temporary/guest accounts (e.g. for internet cafe usage or friends visiting).
- improved right-to-left language support, chat messages are reversed in the same way 'kmess --reverse' changes the GUI.
- changed chat window title, displaying the contact name before the "KMess" part.
- changed emoticon size, emoticons are displayed at their real size instead of being scaled.
- fixed annoying error messages with picture transfers, only displayed in the console now.
- fixed repeatedly displaying "this contact is offline" warnings while typing a message.
- fixed unwanted saving of the contact list for "guest accounts", this was overlooked by a bugfix of 1.4.
- fixed minor issues that occurred when the chat connection is established but the invited contacts have not entered the chat yet.
- fixed handling of unexpected disconnections by the server, contactlist was not saved and reset, invitations were not aborted.
- fixed unwanted "Connection timed out" message when it took more then one minute to authenticate and download the contact list.
- fixed handling of connection errors, no error message was displayed except for connection timeouts.
- fixed closing the connection when 3 pings are missed.
- fixed detection of cancelled file transfers.
- fixed cancelling of file transfer invitations before the contact accepted.
- fixed cancelling of file transfer sessions by the one who didn't start the transfer.
- fixed display problems with dark color schemes.
- fixed parsing of chat messages containing both emoticons and hyperlinks.
- fixed login from main window, no longer creates a new account by default.
- fixed hanging user interface during file transfers invitations.
- fixed small memory leak, chat invitation was not removed.
- fixed title of the "save" menu item in the chat window.
- fixed error message for third-party "text/x-keepalive" message.
- fixed "&Verdana" font setting in chat messages. This was addressed in KMess 1.4,
  but it could still appear if you never changed font settings.
- fixed font size of font selection buttons, as the font size is not used by the msn protocol.
- fixed race condition that could make KMess crash when a chat window was closed while a contact was leaving or typing.
- fixed overwriting chat logs when the conversation is restarted within the same minute.
- fixed saving settings of the main window menu when disconnecting/switching accounts.
- fixed e-mail notification settings, gray out options if user is not logged in with a Hotmail account.
- fixed file chooser path for display pictures, in SUSE it opened /etc/opt/kde instead of /opt/kde3
- fixed translation of Danish, renamed from "dk.po" to "da.po".
- fixed right-to-left support for translated notification/event/error messages in the chat window.
- updated Turkish translation, by Uğur Çetin.
- removed support for Qt 3.1 due the use of the QToolbox widget in the chat windows.



Changes between KMess 1.4.3 and 1.4.2:
--------------------------------------
- fixed a crash occuring when resuming a chat.
- fixed a crash at quit, caused in ContactAction disconnect code.
- fixed compilation error for KDE 3.5.1 (KURLLabel::setSizePolicy() API changed).
- fixed receiving files from Mercury Messenger, KMess responsed with an incorrect Content-Type field.
- fixed .Net messenger service status URL (was changed again).
- fixed two issues with certain unexpected MSNP2P packets:
  - Bot2K3 4.1 sends the first ACK without flags.
  - Encarta Instant Answers sends the data preparation message with the data flag set.
- fixed missing MSNP2P ack packets, accidently emulated a bug of MSN 7.0.
- fixed chat messages with links and emoticons (this is only a temporary fix)
  - This fix disables emoticons in a chat message when there are links in the message too.
  - As of 1.5 we can include a better the message parser/formatter which handles emoticons+links the right way.
- removed /debian folder as requested by Debian packagers (KMess is in Debian unstable now).
- removed --enable-phone, option is still not fully operational (needs to be replaced with libkcall).
- changed chat window statusbar to show by default, so it's more obvious why the contact picture lights up.
- added detection of https:// links
- added the (0) symbol for the clock emoticon.
- added contact status and picture to contact list tooltip.



Changes between KMess 1.4.2 and 1.4.1:
--------------------------------------
- correctly merged the patches of KMess 1.4.1 this time (sorry!)
- fixed the font selection buttons in the settings panel.
- fixed a problem with new contacts adding you while you're online.
- fixed a problem with rpm building as root in SuSE (KDE not in $PATH).
- fixed a problem and crash with display pictures when the contact has none.
- fixed a crash during KMess quit, contacts were unloaded incorrectly.
- fixed a crash after disabling the display picture.
- fixed a crash after closing the chat session with active invitations.
- added translation for Slovenian.



Changes between KMess 1.4.1 and 1.4:
------------------------------------
- fixed a crash during chat with MSN Messenger 7.5 (also fixes picture transfer).
- fixed a crash during chat with contacts that are not on your list.



Changes between KMess 1.4 and 1.4pre1:
--------------------------------------
- added translations for: German, Spanish, Swedish and Chinese Traditional.
- added a file icon to the file transfer dialog.
- added automatic downloading of updated contact pictures during chat sessions.
- added autopackage binreloc support, images can be loaded whatever the --prefix was.
- added 22x22 icons for KMess.
- added initial support for MSN Games/Activities (only displays name in chat window so far).
- added initial support for autopackage, it can still have problems because of C++ ABI changes.
- added support for dpkg-buildpackage to build Debian/Ubuntu packages.
- restored all languages, it appears fuzzy strings aren't displayed after all.
- improved the rpmbuild spec file:
  - added a final status message with the produced package filename.
  - added verbose colorful output.
  - added more distro detections.
  - added automatic rpm->tgz, rpm->deb conversion.
  - added support for apg++, it will be used automatically used if it's installed.
- improved console output messages for msnp2p errors.
- optimized some network handling code.
- optimized the loading and locating of images.
- fixed compilation errors for KDE 3.1.
- fixed compilation errors for a few distro's (added stdlib.h).
- fixed the resuming of chat sessions, all pending messages are sent and re-connects are supported from both-sides.
- fixed the hidden chat windows, they stayed active in the background.
- fixed the closing of chat windows, closing a chat window really destroys it now.
- fixed the erratic crashes when quitting KMess.
- fixed the e-mail status bar display, it hides automatically again for non-hotmail accounts.
- fixed the e-mail status bar link, clicking the e-mail link opens the e-mail client again.
- fixed the e-mail client configuration, it's possible to include command arguments again.
- fixed the sidebar picture for contact picture that can't be loaded.
- fixed the URL for the MSN .Net server status.
- fixed the open link for file transfers.
- fixed the accept link, it can't be accepted twice now.
- fixed the file transfer toolbar icon in the chat window.
- fixed the layout issues of the file transfer dialog items.
- fixed the unwanted resizing of file transfer dialog items when the transfer finished or failed.
- fixed the rejection of unsupported invitation types (both mime and msnp2p).
- fixed the KMess-to-KMess msnp2p transfers (e.g. picture transfers).
- fixed the sending of files.
- fixed the canceling of active file transfers.
- fixed the canceling of invitations when the chat window closes.
- fixed the error messages for canceled invitations (they are more accurate now).
- fixed the msnp2p support (picture transfer, et. al) for chats with more then one contact.
- fixed the configure check for the auto-away feature.
- fixed the automatic saving of chat logs:
  - chat logs were saved in the parent folder.
  - chat logs were not saved when the contact left early.
  - chat logs are no longer saved if the message area is empty.
  - changed the chat log timestamp from closing date to starting date.
- fixed the another lost chat messages problem when being idle behind a NAT router.
- fixed the problems with KMess blocking KDE logout when the main window was still open.
- fixed the saving of settings at KDE logout.
- restored the shortcut key for the "New Line" button.
- removed the IP dialog for sending files, it always uses the external IP address now.
- removed the remote desktop invitation support, since it's not compatible with the official client.



Changes between KMess 1.4pre1 and 1.3:
--------------------------------------
- added msn6 picture transfer support
- added msn6 file transfer support (receiving only)
- added new file transfer dialog
- added new icons for emoticons
- added flashing taskbar for new messages
- added spec file to build RPM packages
- improved/fixed contact list view
- improved contact list tooltip
- improved some context menus
- improved desktop menu icon
- fixed a few possible crashes
- fixed contact moving with new msn protocol
- fixed login problems with new passport site
- fixed login problems with empty contact list
- fixed lost chat messages (timeout issues)
- fixed newline problems with MacOS MSN Messenger
- fixed problems with bad e-mail addresses
- fixed problems with new contacts not appearing in the list
- fixed problems with long name in main window (squeezed now)
- fixed problems with "word-puzzles" in translations
- fixed save-as dialogs, added the suggested file name
- fixed a lot of compilation errors; KMess should be easier to compile now
  - fixed compilation errors for a few distro's
  - fixed compilation errors for gcc-3.4
  - reduced the build and runtime dependencies
  - updated configure checks for auto-away feature
- removed baloon popup at signon.
